searchNodes=[{"doc":"","ref":"Test.Vela.Struct.html","title":"Test.Vela.Struct","type":"module"},{"doc":"","ref":"Test.Vela.Struct.html#valid_2?/3","title":"Test.Vela.Struct.valid_2?/3","type":"function"},{"doc":"Vela is a tiny library providing easy management of validated cached state with some history. Including use Vela in your module would turn the module into struct, setting field accordingly to the specification, passed as a parameter. Vela allows the following configurable parameters per field: length of the series to keep (default 5) validation function as either module implementing Vela.Validator behaviour, or a local function (default fn _, _, _ -&gt; true end) timestamp extractor function to either extract the timestamp from the underlying terms (default &amp;DateTime.utc_now/0) number of errors to keep (default: 5) Vela implements Access behaviour. Usage defmodule Vela.Test do use Vela, series1: [limit: 3, errors: 1], # no validation series2: [limit: 2, validator: Vela.Test] @behaviour Vela.Validator @impl Vela.Validator def valid?(%__MODULE__{} = state, key, value) do value &gt; 0 end end In the example above, before any structure update attempt (via Access,) this valid?/3 function would be called. If it returns true, the value gets inserted / updated, and the series behind is truncated if needed. It it returns false, the state is not updated, and the value is put into the map under __errors__ key of the struct. The length of errors is also configurable via errors: keyword parameter.","ref":"Vela.html","title":"Vela","type":"module"},{"doc":"Represents the struct created by this behaviour module","ref":"Vela.html#t:t/0","title":"Vela.t/0","type":"type"},{"doc":"The validator behaviour, implementations are used by Vela to validate new values to be inserted into the state.","ref":"Vela.Validator.html","title":"Vela.Validator","type":"behaviour"},{"doc":"When implemented, the module might be passed as validator to use Vela","ref":"Vela.Validator.html#c:valid?/3","title":"Vela.Validator.valid?/3","type":"callback"},{"doc":"The generic exception thrown when the access in invalid. Parameters: source the source of the exception field the field the access to has failed","ref":"Vela.AccessError.html","title":"Vela.AccessError","type":"exception"},{"doc":"Vela The tiny library to ease handling expiring invalidated cached series","ref":"readme.html","title":"Vela","type":"extras"},{"doc":"def deps do [ {:vela, &quot;~&gt; 0.1&quot;} ] end","ref":"readme.html#installation","title":"Vela - Installation","type":"extras"},{"doc":"","ref":"readme.html#documentation","title":"Vela - Documentation","type":"extras"}]